# Library cPNG 1.5.30 repository for CASIO fx-CG 10/20 (a.k.a. PRIZM) and fx-CG 50 (or Graph 90+E)

Need to have a fully working gcc toolchain for SH3/SH4 architecture.

**Note:** libcPNG requires cZlib available, so the very first step is to get that library available and working prior to libcPNG.
You can get a working Zlib for CASIO fx-CG 10/20 (a.k.a. PRIZM) and fx-CG 50 (or Graph 90+E) here : [libcZlib for PRIZM](https://gitea.planet-casio.com/Slyvtt/cZlib)

You can use the `giteapc install Slyvtt/cPNG` command to get an automatic install


## Using in a program

With CMake

```cmake
find_package(cPNG 1.5.30 REQUIRED)
target_link_libraries(<TARGET> PRIVATE cPNG::cPNG)
```


With make, the following steps are not automatically done, so please proceed with the following manipulations :
* copy the library `libcPNG.a` into your SH3/SH4 compiler lib folder
* copy `png.h`, `pngconf.h` and `pnglibconf.h` files contained in the include folder into the include folder of the SH3/SH4 compiler
* link with `-lcPNG -lcZlib`



In the C/C++ sources `#include <png.h>`