include(FindSimpleLibrary)
include(FindPackageHandleStandardArgs)

find_simple_library(libcPNG.a png.h "PNG_LIBPNG_VER_STRING"
    PATH_VAR CPNG_PATH
    VERSION_VAR CPNG_VERSION)

find_package_handle_standard_args(cPNG
  REQUIRED_VARS CPNG_PATH CPNG_VERSION
  VERSION_VAR CPNG_VERSION)

if(cPNG_FOUND)
  add_library(cPNG::cPNG UNKNOWN IMPORTED)
  set_target_properties(cPNG::cPNG PROPERTIES
    IMPORTED_LOCATION "${CPNG_PATH}"
    INTERFACE_LINK_OPTIONS -lcPNG
    IMPORTED_LINK_INTERFACE_LIBRARIES Gint::Gint -lcZlib)
endif()
